### Hierarchy

- unknown
  - UnsetTxFeeRatePreferenceReply

## Index

### Constructors

- constructor

### Methods

- clearTxFeeRateInfo
- getTxFeeRateInfo
- hasTxFeeRateInfo
- serializeBinary
- setTxFeeRateInfo
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new UnsetTxFeeRatePreferenceReply(): UnsetTxFeeRatePreferenceReply

- Inherited from jspb.Message.constructor

  #### Returns UnsetTxFeeRatePreferenceReply

## Methods

### clearTxFeeRateInfo

- clearTxFeeRateInfo(): UnsetTxFeeRatePreferenceReply

- - Defined in src/protobuf/grpc_pb.d.ts:3493

  #### Returns UnsetTxFeeRatePreferenceReply

### getTxFeeRateInfo

- getTxFeeRateInfo(): undefined | TxFeeRateInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3490

  #### Returns undefined | TxFeeRateInfo

### hasTxFeeRateInfo

- hasTxFeeRateInfo(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:3492

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3495

  #### Returns Uint8Array

### setTxFeeRateInfo

- setTxFeeRateInfo(value?: TxFeeRateInfo ): UnsetTxFeeRatePreferenceReply

- - Defined in src/protobuf/grpc_pb.d.ts:3491

  #### Parameters

  - ##### Optional value: TxFeeRateInfo

  #### Returns UnsetTxFeeRatePreferenceReply

### toObject

- toObject(includeInstance?: boolean): UnsetTxFeeRatePreferenceReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3496

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns UnsetTxFeeRatePreferenceReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): UnsetTxFeeRatePreferenceReply

- - Defined in src/protobuf/grpc_pb.d.ts:3499

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns UnsetTxFeeRatePreferenceReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: UnsetTxFeeRatePreferenceReply, reader: BinaryReader): UnsetTxFeeRatePreferenceReply

- - Defined in src/protobuf/grpc_pb.d.ts:3500

  #### Parameters

  - ##### message: UnsetTxFeeRatePreferenceReply

  - ##### reader: BinaryReader

  #### Returns UnsetTxFeeRatePreferenceReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: UnsetTxFeeRatePreferenceReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3498

  #### Parameters

  - ##### message: UnsetTxFeeRatePreferenceReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: UnsetTxFeeRatePreferenceReply ): UnsetTxFeeRatePreferenceReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3497

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: UnsetTxFeeRatePreferenceReply

  #### Returns UnsetTxFeeRatePreferenceReply . AsObject

Generated using TypeDoc